using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class InputTest : MonoBehaviour {

	// Use this for initialization
	void Start () {
		
	}
	
	// Update is called once per frame
	void Update ()
    {
        Debug.Log("P1 Hor: "+ Input.GetAxis("P1Horizontal"));
        //Debug.Log("P2 Hor: " + Input.GetAxis("P2Horizontal"));
        //Debug.Log("P1 Ver: " + Input.GetAxis("P1Vertical"));
        //Debug.Log("P2 Ver: " + Input.GetAxis("P2Vertical"));
        if (Input.GetButton("P1Fire"))
        {
            Debug.Log("Player 1 Fired");
        }

        if (Input.GetButton("P2Fire"))
        {
            Debug.Log("Player 2 Fired");
        }

        if (Input.GetButton("P1Reload"))
        {
            Debug.Log("Player 1 Reloaded");
        }
        if (Input.GetButton("P2Reload"))
        {
            Debug.Log("Player 2 Reloaded");
        }

        if (Input.GetButton("P1Switch"))
        {
            Debug.Log("Player 1 Switched");
        }
        if (Input.GetButton("P2Switch"))
        {
            Debug.Log("Player 2 Switched");
        }
    }
}
